namespace eval ::apache1.3:: {}

proc ::apache1.3::parseSetEnv {elements parser dirDef xmlConf currentContainer} {
    set xuiObj [apacheparserutils::getOrCreateIfNotExists setEnv \
            $dirDef $xmlConf $currentContainer]
    set child [$xuiObj newChild]
    $xuiObj insertChild $child
    [$child getComponentByName env] setValue [lindex $elements 1]
    [$child getComponentByName value] setValue [lindex $elements 2]

}

proc ::apache1.3::dumpSetEnv { xuiObj } {
    if ![llength [ $xuiObj getChildren ]] {return}
    set result {}
    foreach child [ $xuiObj getChildren ] {
        append result "SetEnv "
	append result "[[$child getComponentByName env] getValue] "
	append result "[[$child getComponentByName value] getValue]\n "
    }
    return $result
}


